function BuildSign(ObjID,ParentID,Name,Comment,Lat,Lng,Gcj02,SignPic){
		var Sign = new Object;
		var ObjectDetail = new Object;
		var SignEvent = new Object;
		var Object1 = new Object;
		var SignPics = new Object;
		
		SignEvent.Radius = 0;
		SignEvent.ShowClr = 0;
		SignPics.SignPic = SignPic;
	
		SignPics.AlignFlag = 0;
		SignPics.PicScale = 0;
		SignPics.SignPicNum = 0;
		SignPics.SignPicNumOffx = 0;
		SignPics.SignPicNumOffy = 0;
		SignPics.SignPicNumClr = 0;
		SignPics.SignPicNumSize = 0;
	
		ObjectDetail.Lat = Lat;
		ObjectDetail.Lng= Lng;
		ObjectDetail.Gcj02 = Gcj02;
		ObjectDetail.Altitude = 0;
		ObjectDetail.EditMode = 0;
		ObjectDetail.OverlayIdx = 0;
		ObjectDetail.TxtType = 1;
		ObjectDetail.ShowLevel = 1;
		ObjectDetail.ShowLevelBak = 0;
		ObjectDetail.ShowLevelMax = 0;
		ObjectDetail.TimeUncertain = 0;
		ObjectDetail.TxtShowSta = 0;
		ObjectDetail.TxtShowStaSet = 0;
		ObjectDetail.SignEvent = SignEvent;
		ObjectDetail.SignPic = SignPics;
	
		Object1.ObjectDetail = ObjectDetail;
		Object1.Name = Name;
		Object1.Comment = Comment;
		Object1.Type = 7;
		
		Sign.Type = 7;
		Sign.ObjID = ObjID;
		Sign.ParentID = ParentID;
		Sign.Object = Object1;
	
		return Sign;
}

function BuildTrack(ObjID,ParentID,Name,Comment,Gcj02,Mtp,Latlng){
	var Track = new Object;
	var Object1 = new Object;
	var ObjectDetail = new Object;
	var TrackDraw = new Object;
	
	TrackDraw.LineClr = 16053248;
	TrackDraw.LineWidth = 3;
	TrackDraw.LineAlpha = 50;
	TrackDraw.ShowType = 0;
	TrackDraw.LineType = 0;
	TrackDraw.CircleClr = 0;
	TrackDraw.CircleWidth = 0;
	TrackDraw.NeedDrawDetail = 0;
	TrackDraw.Close = 0;
	
	ObjectDetail.Gcj02 = Gcj02;
	ObjectDetail.OverlayIdx = 0;
	ObjectDetail.TrackType = 0;
	ObjectDetail.ShowLevel = 1;
	ObjectDetail.ShowLevelMax = 0;
	ObjectDetail.ShowLevelBak = 0;
	ObjectDetail.AltitudeColor = 0;
	ObjectDetail.ShowName = 0;
	ObjectDetail.Edit = 0;
	ObjectDetail.TrackDraw = TrackDraw;
	ObjectDetail.Mtp = Mtp;
	ObjectDetail.Latlng = Latlng;
	
	
	Object1.Name = Name;
	Object1.Comment = Comment;
	Object1.Type = 8;
	Object1.ObjectDetail = ObjectDetail;
	
	Track.Type = 8;
	Track.ObjID = ObjID;
	Track.ParentID = ParentID;
	Track.Object = Object1;
	
	return Track;
}

function BuildShape(ObjID,ParentID,Name,Comment,Gcj02,Mtp,Latlng){
	var Shape = new Object;
	var Object1 = new Object;
	var ObjectDetail = new Object;
	
	ObjectDetail.Gcj02 = Gcj02;
	ObjectDetail.OverlayIdx = 0;
	ObjectDetail.TrackType = 0;
	ObjectDetail.ShowLevel = 1;
	ObjectDetail.ShowLevelMax = 0;
	ObjectDetail.ShowLevelBak = 0;
	ObjectDetail.OuterRgnIdx = 0 ;
	ObjectDetail.EditMode = 0 ;
	ObjectDetail.ShowFlag = 0 ;
	ObjectDetail.LineClr = 255 ;
	ObjectDetail.LineWidth = 1 ;
	ObjectDetail.LineAlpha = 50;
	ObjectDetail.AreaClr = 255;
	ObjectDetail.AreaAlpha = 50;
	ObjectDetail.StartAngle = 0;
	ObjectDetail.EndAngle = 0;
	ObjectDetail.FillType = 0;
	ObjectDetail.FillSubType = 0;
	ObjectDetail.FillPattern = 0;
	ObjectDetail.FillChgClr = 0;
	ObjectDetail.FillRotate = 0;
	ObjectDetail.FillScale = 0;
	ObjectDetail.FillOffsetX = 0;
	ObjectDetail.FillOffsetY = 0;
	ObjectDetail.Mtp = Mtp;
	ObjectDetail.Latlng = Latlng;
	
	
	Object1.Name = Name;
	Object1.Comment = Comment;
	Object1.Type = 13;
	Object1.ObjectDetail = ObjectDetail;
	
	Shape.Type = 13;
	Shape.ObjID = ObjID;
	Shape.ParentID = ParentID;
	Shape.Object = Object1;
	return Shape;
}
function BuildTree(ObjID,ParentID,Child,ChildObj,tmModify){

	var Tree = new Object;
	var Groups = new Object;
	var Object1 = new Object;
	var ObjectDetail = new Object;
	
	ObjectDetail.Child = Child;
	ObjectDetail.LoadOk = 1;
	ObjectDetail.SaveMerge = 0;
	ObjectDetail.Group = 0;
	ObjectDetail.AutoLoad = 1;
	ObjectDetail.ShowLevel = 1;
	ObjectDetail.ShowLevelMax = 0;
	ObjectDetail.ShowLevelBak = 0;
	ObjectDetail.Crypt = 0;
	ObjectDetail.Share = 0;
	ObjectDetail.ReadOnly = 0;
	ObjectDetail.NotHotId = 0;
	ObjectDetail.Bind = 0;
	ObjectDetail.BindCheck = 0;
	ObjectDetail.Link = 0;
	ObjectDetail.LinkAutoCheck = 0;
	ObjectDetail.ChildiOverlay = 0;
	ObjectDetail.LinkUrl = "";
	ObjectDetail.Relate = 0;
	if(typeof(ChildObj)!="undefined")
	ObjectDetail.ObjChildren = ChildObj;
	
	
	Object1.Name = "";
	Object1.Type = 30;
	Object1.ObjectDetail = ObjectDetail;
	
	Groups.Type = 30;
	Groups.ObjID = ObjID;
	Groups.ParentID = ParentID;
	Groups.tmModify = tmModify;
	Groups.Object = Object1;
	Tree.ObjTree = Groups;
	
	return Tree;
	
}

function BuildGroup(ObjID,ParentID,Name,Child,ChildObj,tmModify){
	
	var Groups = new Object;
	var Object1 = new Object;
	var ObjectDetail = new Object;
	
	ObjectDetail.Child = Child;
	ObjectDetail.LoadOk = 1;
	ObjectDetail.SaveMerge = 0;
	ObjectDetail.Group = 0;
	ObjectDetail.AutoLoad = 1;
	ObjectDetail.ShowLevel = 1;
	ObjectDetail.ShowLevelMax = 0;
	ObjectDetail.ShowLevelBak = 0;
	ObjectDetail.Crypt = 0;
	ObjectDetail.Share = 0;
	ObjectDetail.ReadOnly = 0;
	ObjectDetail.NotHotId = 0;
	ObjectDetail.Bind = 0;
	ObjectDetail.BindCheck = 0;
	ObjectDetail.Link = 0;
	ObjectDetail.LinkAutoCheck = 0;
	ObjectDetail.ChildiOverlay = 0;
	ObjectDetail.LinkUrl = "";
	ObjectDetail.Relate = 0;
	
	if(typeof(ChildObj)!="undefined")
	ObjectDetail.ObjChildren = ChildObj;
	
	Object1.Name = Name;
	Object1.Type = 30;
	Object1.ObjectDetail = ObjectDetail;
	
	Groups.Type = 30;
	Groups.ObjID = ObjID;
	Groups.ParentID = ParentID;
	Groups.tmModify = tmModify;
	Groups.Object = Object1;
	
	return Groups;
}

function BuildDir(ObjID,ParentID,Name,Title,Gcj02,Unit,PStart,PEnd,Mp,PointList,SubTitle){
	var Dir = new Object;
	var Object1 = new Object;
	var ObjectDetail = new Object;
	var DirectionsSrh = new Object;
	var DirectionsUnit = new Object;
	var DirectionsUnitsArray = new Array();

	var PointStart  = new Object;
	var PointEnd = new Object;
	var PointViaArray = new Array();
	
	
	
	PointStart.Lat = PStart[0];
	PointStart.Lng = PStart[1];
	
	PointEnd.Lat = PEnd[0];
	PointEnd.Lng = PEnd[1];
	
	for(var i = 0 ; i<16;i++){
		PointViaArray.push(0);
	}
	
	DirectionsSrh.DirMode = 0;
	DirectionsSrh.PointStart=PointStart;
	DirectionsSrh.PointEnd = PointEnd;
	DirectionsSrh.PointVia = PointViaArray;
	
	for(var i = 0 ; i<Unit; i++){
		DirectionsUnitsArray.push({'Mp':Mp,'SubCount':10,'Type':0,'Title':"step"+(i+1),'SubTitle':SubTitle[i],'PointList':PointList[i]});	
	}
	
	
	
	ObjectDetail.Title=Title;
	ObjectDetail.DirStart="开始";
	ObjectDetail.DirEnd="结束";
	ObjectDetail.Gcj02=1;
	ObjectDetail.OverlayIdx = 0;
	ObjectDetail.ShowLevel = 1;
	ObjectDetail.ShowLevelMax=0;
	ObjectDetail.ShowLevelBak=0;
	ObjectDetail.LineClr=16711680;
	ObjectDetail.LineWidth=7;
	ObjectDetail.LineAlpha=60;
	ObjectDetail.Edit=0;
	ObjectDetail.Unit=Unit;
	ObjectDetail.DirectionsSrh = DirectionsSrh;
	ObjectDetail.DirectionsUnits = DirectionsUnitsArray;
	
	Object1.Name = Name;
	Object1.Type = 11;
	Object1.ObjectDetail = ObjectDetail;
	
	Dir.Type = 11;
	Dir.ObjID = ObjID;
	Dir.ParentID = ParentID;
	Dir.Object = Object1;
	
	return Dir;
}
//创建搜索参数结构
function BuildSrhObj(ParentID,SrhOpt,NoChild,SrhTxt,ObjType,ShapeSelect,MaxCnt,SrhValue){
	var SrhObj = new Object;
	SrhObj.ParentID = ParentID;
	SrhObj.SrhOpt = SrhOpt;
	SrhObj.NoChild = NoChild;
	SrhObj.SrhTxt = SrhTxt;
	SrhObj.ObjType = ObjType;
	SrhObj.ShapeSelect = ShapeSelect;
	SrhObj.MaxCnt = MaxCnt;
	SrhObj.SrhValue = SrhValue;
	
	return SrhObj;
	
}

//创建点结构
function BuildPoint(lat,lng,CoordType){
	
	var Point = new Object;
	Point.CoordType = CoordType;
	Point.lat = lat;
	Point.lng = lng;
	return Point;
}

//创建位置跳转结构
function BuildMapLocationExt(MapID,MapLevel,lat,lng,CoordType,Active){
	var Obj = new Object;
	var Location = new Object;
	
	Location.MapID = MapID;
	Location.MapLevel = MapLevel;
	Location.lat = lat;
	Location.lng = lng;
	Location.CoordType = CoordType;
	Location.Active = Active;
	
	Obj.Location = Location;
	
	return Obj;
}

//创建图片列表结构
function BuildShowPic(Size,Lat,Lng){
	
	var Pictures = new Object;
	var Picture=new Array();
	for(var i = 0 ; i < Size ; i++){
		var Pic = new Object;
		var PicID = i + 10000;
        Lat+= 0.001;
        Lng+= 0.001;
		Pic.PicID = PicID;
		Pic.lat = Lat;
		Pic.lng = Lng;
		Picture.push(Pic);
	}
	Pictures.Pictures = Picture;
	return Pictures;
}

//创建时间结构
function BuildTime(Time){
	var Obj = new Object;
	Obj.PicTime = Time;	
	return Obj;
}

//创建对象结构
function BuildObj(NoGroup,ListID){
	var Obj = new Object;
	Obj.NoTroup = NoGroup;
	Obj.ListID = ListID;	
	return Obj;
}

//创建关联点结构
function BuildSysCoorPoint(CoordType,PCoordType,Latlng,Xy){
	var Obj = new Object;
	var PointArray = new Array;
	
	Obj.CoordType = CoordType;
	
	for(var i = 0 ; i < Latlng.length ;){
		var Point = new Object;
		Point.CoordType = PCoordType;
		Point.lat = Latlng[i];
		Point.lng = Latlng[i+1];
		Point.x = Xy[i];
		Point.y = Xy[i+1];
		PointArray.push(Point);
		i+=2;
	}
	Obj.Points = PointArray;
	return Obj;
}

//创建获取图片数据请求数据结构

function BuildReqMapData(Xy_Lnglat,CoordType,MaxLevel,MaxPixel){
	//{"ReqMapDatas":[{"x_lng1":705000,"y_lat1":2874000,"x_lng2":710000,"y_lat2":2890000,"CoordType":2,"MaxLevel":12,"MaxPixel":1000000}]}
	var Obj = new Object;
	var ReqMapData = new Array();
	
	for(var i = 0 ; i <Xy_Lnglat.length ;){
		var MapData = new Object;
		MapData.x_lng1 = Xy_Lnglat[i];
		MapData.y_lat1 = Xy_Lnglat[i+1];
		MapData.x_lng2 = Xy_Lnglat[i+2];
		MapData.y_lat2 = Xy_Lnglat[i+3];
		MapData.CoordType = CoordType;
		MapData.MaxLevel = MaxLevel;
		MapData.MaxPixel = MaxPixel;
		ReqMapData.push(MapData);
		i+=4;
	}
	Obj.ReqMapDatas = ReqMapData;
	return Obj;	
}

//创建获取图片文件请求数据结构
function BuildReqMapFile(MapID,Value,Xy_Lnglat,CoordType,MaxLevel,MapType,Width,Height,PostCnt,SendReq){
	// {"ReqMapFiles":[{"MapID":1,"Value":1,"x_lng1": 697827.09,"y_lat1":2873083.29,"x_lng2":712790.02,"y_lat2":2884313.99,
	//"CoordType":2,"MapLevel":12,"MapType":0,"Width":443,"Height":320,"PostCnt":30,"SendReq":1}]}
	var Obj = new Object;
	var ReqMapFile = new Array();
	
	for(var i = 0 ; i <Xy_Lnglat.length ;){
		var MapFile = new Object;
		MapFile.MapID = MapID;
		MapFile.Value = Value;
		MapFile.x_lng1 = Xy_Lnglat[i];
		MapFile.y_lat1 = Xy_Lnglat[i+1];
		MapFile.x_lng2 = Xy_Lnglat[i+2];
		MapFile.y_lat2 = Xy_Lnglat[i+3];
		MapFile.CoordType = CoordType;
		MapFile.MaxLevel = MaxLevel;
		MapFile.MapType = MapType;
		MapFile.Width = Width;
		MapFile.Height = Height;
		MapFile.PostCnt = PostCnt;
		MapFile.SendReq = SendReq;
		ReqMapFile.push(MapFile);
		i+=4;
	}
	Obj.ReqMapFiles = ReqMapFile;
	return Obj;		
	
}

//创建获取高程数据请求结构
function BuildReqGetContour(MapID,Value,Xy_Lnglat,CoordType,MapLevel,ElevValue,CheckFlag){
	var Obj = new Object;
	var ReqContour = new Array();
	
	for(var i = 0 ; i <Xy_Lnglat.length ;){
		var Contour = new Object;
		Contour.MapID = MapID;
		Contour.Value = Value;
		Contour.x_lng1 = Xy_Lnglat[i];
		Contour.y_lat1 = Xy_Lnglat[i+1];
		Contour.x_lng2 = Xy_Lnglat[i+2];
		Contour.y_lat2 = Xy_Lnglat[i+3];
		Contour.CoordType = CoordType;
		Contour.MapLevel = MapLevel;
		Contour.ElevValue = ElevValue;
		Contour.CheckFlag = CheckFlag;
		
		ReqContour.push(Contour);
		i+=4;
	}
	Obj.ReqContours = ReqContour;
	return Obj;
	
}



